name: heartwarming_ubs
services:
  main_app:
    cpu_shares: 10
    command: []
    container_name: s-pdf
    deploy:
      resources:
        limits:
          memory: 256M
    environment:
      - DOCKER_ENABLE_SECURITY=false
      - INSTALL_BOOK_AND_ADVANCED_HTML_OPS=false
      - LANGS=pt_BR
    image: frooodle/s-pdf:latest
    labels:
      icon: https://raw.githubusercontent.com/Stirling-Tools/Stirling-PDF/main/docs/stirling.png
    ports:
      - target: 8080
        published: "8189"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/s-pdf/trainingData
        target: /usr/share/tessdata
      - type: bind
        source: /DATA/AppData/s-pdf/configs
        target: /configs
    devices: []
    cap_add: []
    network_mode: bridge
    privileged: false
    hostname: s-pdf
x-casaos:
  author: self
  category: self
  hostname: ""
  icon: https://raw.githubusercontent.com/Stirling-Tools/Stirling-PDF/main/docs/stirling.png
  index: /?lang=pt_BR
  is_uncontrolled: false
  port_map: "8189"
  scheme: http
  store_app_id: heartwarming_ubs
  title:
    custom: S-pdf
